#include <cassert>
#include <cmath>
#include <cstdio>
#include <iostream>

using namespace std;

const int maxn = 512;

int n, k;
int h[maxn];
int vis[maxn];
int a[maxn], b[maxn];
int ans;

int main()
{
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    int i, j;

    cin >> n >> k;
    for (i = 0; i < n; i++) {
        cin >> h[i];
    }

    ans = 0;
    bool change;
    do {
        change = false;
        for (i = 0; i < n; i++) {
            if (vis[i]) continue;
            for (j = i+1; j < n; j++)
                if (!vis[j]) break;
            if (j < n && abs(h[i] - h[j]) <= k) {
                a[ans] = i;
                b[ans] = j;
                ans++;
                vis[i] = vis[j] = 1;
            }
        }
    } while (change);

    cout << ans << endl;
    for (i = 0; i < ans; i++) {
        cout << a[i]+1 << " " << b[i]+1 << endl;
    }

    fclose(stdin); fclose(stdout);
    return 0;
}
